gr::dab::repartition_vectors_impl Class Reference

reorder vectors to new vector size in order to organize More...

`#include <repartition_vectors_impl.h>`

Inheritance diagram for gr::dab::repartition_vectors_impl:
[legend]

## Public Member Functions

| repartition_vectors_impl (size_t itemsize, unsigned int vlen_in, unsigned int vlen_out, unsigned int multiply, unsigned int divide)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::repartition_vectors
typedef std::shared_ptr< repartition_vectors > | sptr
Static Public Member Functions inherited from gr::dab::repartition_vectors
static sptr | make (size_t itemsize, unsigned int vlen_in, unsigned int vlen_out, unsigned int multiply, unsigned int divide)
| Return a shared_ptr to a new instance of dab::repartition_vectors.

## Detailed Description

reorder vectors to new vector size in order to organize

input1: vector stream with vector length vlen_in input2: trigger stream

output1: vector streasm with vector length vlen_out output2: trigger stream

Parameters

  itemsize | sizeof input and outputstream of port 0
  vlen_in | vector length of inputstream
  vlen_out | vector length of outputstream (repartitioned)
  multiply | number of input items which form one logical unit
  divide | number of input elements of size vlen_out which are passed through

## Constructor & Destructor Documentation

## repartition_vectors_impl()

gr::dab::repartition_vectors_impl::repartition_vectors_impl | ( | size_t | itemsize,
|  | unsigned int | vlen_in,
|  | unsigned int | vlen_out,
|  | unsigned int | multiply,
|  | unsigned int | divide )

## Member Function Documentation

## forecast()

void gr::dab::repartition_vectors_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::repartition_vectors_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- repartition_vectors_impl.h